from parallels.core.utils.entity import Entity


class AnonymousFtp(Entity):
    def __init__(
        self, domain_id, max_conn, bandwidth, incoming, incoming_readable, incoming_subdirs,
        status, quota, display_login, login_text
    ):
        self._domain_id = domain_id
        self._max_conn = max_conn
        self._bandwidth = bandwidth
        self._incoming = incoming
        self._incoming_readable = incoming_readable
        self._incoming_subdirs = incoming_subdirs
        self._status = status
        self._quota = quota
        self._display_login = display_login
        self._login_text = login_text

    @property
    def domain_id(self):
        """
        :rtype: str | unicode
        """
        return self._domain_id

    @property
    def max_conn(self):
        """
        :rtype: str | unicode
        """
        return self._max_conn

    @property
    def bandwidth(self):
        """
        :rtype: str | unicode
        """
        return self._bandwidth

    @property
    def incoming(self):
        """
        :rtype: str | unicode
        """
        return self._incoming

    @property
    def incoming_readable(self):
        """
        :rtype: str | unicode
        """
        return self._incoming_readable

    @property
    def incoming_subdirs(self):
        """
        :rtype: str | unicode
        """
        return self._incoming_subdirs

    @property
    def status(self):
        """
        :rtype: str | unicode
        """
        return self._status

    @property
    def quota(self):
        """
        :rtype: str | unicode
        """
        return self._quota

    @property
    def display_login(self):
        """
        :rtype: str | unicode
        """
        return self._display_login

    @property
    def login_text(self):
        """
        :rtype: str | unicode
        """
        return self._login_text
